Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.management.domain
Class Logger

    public interface class Logger

A Logger is an interim logging mechanism for CM SDK domain management.

(Unpublished)

Field Summary
`static int` | `LEVEL_HIGH` Verbose logging.
`static int` | `LEVEL_LOW` Minimal logging.
`static int` | `LEVEL_MEDIUM` Typical logging (the default).
`static int` | `LEVEL_OFF` Logging disabled.

Method Summary
`void` | `dispose()` Disposes this Logger.
`int` | `getLogLevel()` Gets the logging level.
`boolean` | `isLogged(int level)` Gets whether calling `log` with the specified logging level would cause a message to be logged.
`void` | `log(int level, java.lang.String prefix, java.lang.String message)` Logs the specified message.
`void` | `log(int level, java.lang.String prefix, java.lang.String message, java.lang.Throwable throwable)` Logs the specified message and throwable, as a single log entry.
`void` | `log(int level, java.lang.String prefix, java.lang.Throwable throwable)` Logs the specified throwable.
`void` | `setLogLevel(int logLevel)` Sets the desired logging level.

Field Detail

### LEVEL_OFF

    static final int LEVEL_OFF

  Description copied from interface: `Logger`
  Logging disabled.

  See Also:
    Constant Field Values
  (Unpublished)

### LEVEL_LOW

    static final int LEVEL_LOW

  Description copied from interface: `Logger`
  Minimal logging.

  See Also:
    Constant Field Values
  (Unpublished)

### LEVEL_MEDIUM

    static final int LEVEL_MEDIUM

  Description copied from interface: `Logger`
  Typical logging (the default).

  See Also:
    Constant Field Values
  (Unpublished)

### LEVEL_HIGH

    static final int LEVEL_HIGH

  Description copied from interface: `Logger`
  Verbose logging.

  See Also:
    Constant Field Values
  (Unpublished)

Method Detail

### log

    void log(int level,
             java.lang.String prefix,
             java.lang.String message)

  Description copied from interface: `Logger`
  Logs the specified message.

  Parameters:
    `level` - the minimum logging level for the message to be logged
    `prefix` - the message prefix
    `message` - the message
  (Unpublished)

### log

    void log(int level,
             java.lang.String prefix,
             java.lang.Throwable throwable)

  Description copied from interface: `Logger`
  Logs the specified throwable.

  Parameters:
    `level` - the minimum logging level for the message to be logged
    `prefix` - the message prefix
    `throwable` - the throwable
  (Unpublished)

### log

    void log(int level,
             java.lang.String prefix,
             java.lang.String message,
             java.lang.Throwable throwable)

  Description copied from interface: `Logger`
  Logs the specified message and throwable, as a single log entry.

  Parameters:
    `level` - the minimum logging level for the message to be logged
    `prefix` - the message prefix
    `message` - the message
    `throwable` - the throwable
  (Unpublished)

### getLogLevel

    int getLogLevel()
                    throws IfsException

  Description copied from interface: `Logger`
  Gets the logging level.

  Returns:
    the logging level
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setLogLevel

    void setLogLevel(int logLevel)
                     throws IfsException

  Description copied from interface: `Logger`
  Sets the desired logging level.

  Parameters:
    `logLevel` - the desired logging level
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isLogged

    boolean isLogged(int level)

  Description copied from interface: `Logger`
  Gets whether calling `log` with the specified logging level would cause a message to be logged.

  Parameters:
    `level` - the logging level
  Returns:
    whether a message would be logged
  (Unpublished)

### dispose

    void dispose()

  Description copied from interface: `Logger`
  Disposes this Logger.

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD